source: postlfs/security/gpgme.xml@ 7367ff9

lazarus qt5new trunk upgradedb
Last change on this file since 7367ff9 was 7367ff9, checked in by Pierre Labastie <pierre.labastie@…>, 3 months ago

Improve python 3.10 discovery in gpgme

  • Property mode set to 100644
File size: 8.6 KB
Line 
1<?xml version="1.0" encoding="ISO-8859-1"?>
2<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
3 "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
4 <!ENTITY % general-entities SYSTEM "../../general.ent">
5 %general-entities;
6
7 <!ENTITY gpgme-download-http "&gnupg-http;/gpgme/gpgme-&gpgme-version;.tar.bz2">
8 <!ENTITY gpgme-download-ftp "&gnupg-ftp;/gpgme/gpgme-&gpgme-version;.tar.bz2">
9 <!ENTITY gpgme-download-ftp " ">
10 <!ENTITY gpgme-md5sum "e31b9e0efc5a2e1ec1bbed22e7a082a4">
11 <!ENTITY gpgme-size "1.6 MB">
12 <!ENTITY gpgme-buildsize "222 MB">
13 <!ENTITY gpgme-time "0.8 SBU (with parallelism=4; with all bindings, add 0.7 SBU for tests)">
14]>
15
16<sect1 id="gpgme" xreflabel="GPGME-&gpgme-version;">
17 <?dbhtml filename="gpgme.html"?>
18
19 <sect1info>
20 <date>$Date$</date>
21 </sect1info>
22
23 <title>GPGME-&gpgme-version;</title>
24
25 <indexterm zone="gpgme">
26 <primary sortas="a-GPGME">GPGME</primary>
27 </indexterm>
28
29 <sect2 role="package">
30 <title>Introduction to GPGME</title>
31
32 <para>
33 The <application>GPGME</application> package is a C library
34 that allows cryptography support to be added to a
35 program. It is designed to make access to public key crypto
36 engines like <application>GnuPG</application> or GpgSM easier
37 for applications. <application>GPGME</application> provides
38 a high-level crypto API for encryption, decryption, signing,
39 signature verification and key management.
40 </para>
41
42 &lfs110a_checked;
43
44 <bridgehead renderas="sect3">Package Information</bridgehead>
45 <itemizedlist spacing="compact">
46 <listitem>
47 <para>
48 Download (HTTP): <ulink url="&gpgme-download-http;"/>
49 </para>
50 </listitem>
51 <listitem>
52 <para>
53 Download (FTP): <ulink url="&gpgme-download-ftp;"/>
54 </para>
55 </listitem>
56 <listitem>
57 <para>
58 Download MD5 sum: &gpgme-md5sum;
59 </para>
60 </listitem>
61 <listitem>
62 <para>
63 Download size: &gpgme-size;
64 </para>
65 </listitem>
66 <listitem>
67 <para>
68 Estimated disk space required: &gpgme-buildsize;
69 </para>
70 </listitem>
71 <listitem>
72 <para>
73 Estimated build time: &gpgme-time;
74 </para>
75 </listitem>
76 </itemizedlist>
77
78 <bridgehead renderas="sect3">GPGME Dependencies</bridgehead>
79
80 <bridgehead renderas="sect4">Required</bridgehead>
81 <para role="required">
82 <xref linkend="libassuan"/>
83 </para>
84
85 <bridgehead renderas="sect4">Optional</bridgehead>
86 <para role="optional">
87 <xref linkend="doxygen"/> and
88 <xref linkend="graphviz"/> (for API documentation),
89 <xref linkend="gnupg2"/> (required if Qt or SWIG are installed;
90 used during the testsuite),
91 <xref linkend="clisp"/>,<!--
92gpgme can still use python 2.7, but can use python3 as well,
93so do not advertise python2
94 <xref linkend="python2"/>,-->
95 <xref linkend="qt5"/>, and/or
96 <xref linkend="swig"/> (for language bindings)
97 </para>
98
99 <para condition="html" role="usernotes">User Notes:
100 <ulink url="&blfs-wiki;/gpgme"/>
101 </para>
102 </sect2>
103
104 <sect2 role="installation">
105 <title>Installation of GPGME</title>
106
107 <para>
108 First, fix an issue building the package with Glibc-2.34 or later:
109 </para>
110
111<screen><userinput remap="pre">sed 's/defined(__sun.*$/1/' -i src/posix-io.c</userinput></screen>
112
113 <para>
114 Next, fix an issue building with Python 3.10 installed:
115 </para>
116
117<screen><userinput remap="pre">sed -e 's/3\.9/3.10/' \
118 -e 's/:3/:4/' \
119 -e 's/distutils/setuptools/' \
120 -e 's/setuptools\./&amp;_distutils./' \
121 -i configure</userinput></screen>
122
123 <para>
124 Install <application>GPGME</application> by running the following
125 commands:
126 </para>
127
128<screen><userinput>./configure --prefix=/usr --disable-gpg-test &amp;&amp;
129make</userinput></screen>
130
131 <para>
132 To test the results, you should have <xref linkend="gnupg2"/> installed
133 and remove the <command>--disable-gpg-test</command> above. Issue:
134 <command>make -k check</command>.
135 </para>
136
137 <para>
138 Now, as the <systemitem class="username">root</systemitem> user:
139 </para>
140
141<screen role="root"><userinput>make install</userinput></screen>
142
143 </sect2>
144
145 <sect2 role="commands">
146 <title>Command Explanations</title>
147
148 <para>
149 <parameter>--disable-gpg-test</parameter>: if this parameter is not
150 passed to configure, the test programs are built during
151 <command>make</command> stage, which requires <xref linkend="gnupg2"/>.
152 This parameter is not needed if <xref linkend="gnupg2"/> is installed.
153 </para>
154
155 </sect2>
156
157 <sect2 role="content">
158 <title>Contents</title>
159
160 <segmentedlist>
161 <segtitle>Installed Program</segtitle>
162 <segtitle>Installed Libraries</segtitle>
163 <segtitle>Installed Directory</segtitle>
164
165 <seglistitem>
166 <seg>
167 gpgme-config, gpgme-json, and gpgme-tool
168 </seg>
169 <seg>
170 libgpgme, libgpgmepp.so, and libqgpgme.so
171 </seg>
172 <seg>
173 /usr/include/{gpgme++,qgpgme,QGpgME},
174 /usr/lib/cmake/{Gpgmepp,QGpgme}.
175 /usr/lib/python{2.7,3.9}/site-packages/gpg, and
176 /usr/share/common-lisp/source/gpgme
177 </seg>
178 </seglistitem>
179 </segmentedlist>
180
181 <variablelist>
182 <bridgehead renderas="sect3">Short Descriptions</bridgehead>
183 <?dbfo list-presentation="list"?>
184 <?dbhtml list-presentation="table"?>
185
186 <varlistentry id="gpgme-config">
187 <term><command>gpgme-config</command></term>
188 <listitem>
189 <para>
190 is used to obtain <application>GPGME</application> compilation and
191 linking information
192 </para>
193 <indexterm zone="gpgme gpgme-config">
194 <primary sortas="b-gpgme-config">gpgme-config</primary>
195 </indexterm>
196 </listitem>
197 </varlistentry>
198
199 <varlistentry id="gpgme-json">
200 <term><command>gpgme-json</command></term>
201 <listitem>
202 <para>
203 outputs <application>GPGME</application> commands in JSON format
204 </para>
205 <indexterm zone="gpgme gpgme-json">
206 <primary sortas="b-gpgme-json">gpgme-json</primary>
207 </indexterm>
208 </listitem>
209 </varlistentry>
210
211 <varlistentry id="gpgme-tool">
212 <term><command>gpgme-tool</command></term>
213 <listitem>
214 <para>
215 is an assuan server exposing <application>GPGME</application>
216 operations, such as printing fingerprints and keyids with
217 keyservers
218 </para>
219 <indexterm zone="gpgme gpgme-tool">
220 <primary sortas="b-gpgme-tool">gpgme-tool</primary>
221 </indexterm>
222 </listitem>
223 </varlistentry>
224
225 <!-- As of 1.13.1, this library isn't present anymore.
226 <varlistentry id="libgpgme-pthread">
227 <term><filename class="libraryfile">libgpgme-pthread.so</filename></term>
228 <listitem>
229 <para>
230 contains the <application>GPGME</application> API functions for
231 applications using pthread.
232 </para>
233 <indexterm zone="gpgme libgpgme-pthread">
234 <primary sortas="c-libgpgme-pthread">libgpgme-pthread.so</primary>
235 </indexterm>
236 </listitem>
237 </varlistentry>
238 -->
239
240 <varlistentry id="libgpgme">
241 <term><filename class="libraryfile">libgpgme.so</filename></term>
242 <listitem>
243 <para>
244 contains the <application>GPGME</application> API functions
245 </para>
246 <indexterm zone="gpgme libgpgme">
247 <primary sortas="c-libgpgme">libgpgme.so</primary>
248 </indexterm>
249 </listitem>
250 </varlistentry>
251
252 <varlistentry id="libgpgmepp">
253 <term><filename class="libraryfile">libgpgmepp.so</filename></term>
254 <listitem>
255 <para>
256 contains the C++ <application>GPGME</application> API functions
257 </para>
258 <indexterm zone="gpgme libgpgmepp">
259 <primary sortas="c-libgpgmepp">libgpgmepp.so</primary>
260 </indexterm>
261 </listitem>
262 </varlistentry>
263
264 <varlistentry id="libqgpgme">
265 <term><filename class="libraryfile">libqgpgme.so</filename></term>
266 <listitem>
267 <para>
268 contains API functions for handling GPG operations in
269 <application>Qt</application> applications
270 </para>
271 <indexterm zone="gpgme libqgpgme">
272 <primary sortas="c-libqgpgme">libqgpgme.so</primary>
273 </indexterm>
274 </listitem>
275 </varlistentry>
276
277 </variablelist>
278
279 </sect2>
280
281</sect1>
Note: See TracBrowser for help on using the repository browser.